include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TDE_LIBRARY_DIRS}
)


##### subfolders

add_subdirectory( core )
add_subdirectory( dialogs )
add_subdirectory( browser )
add_subdirectory( configdlg )
add_subdirectory( icons )
add_subdirectory( iconview )
add_subdirectory( listview )
add_subdirectory( searchdlg )


##### smb4k (executable)

tde_add_executable( smb4k AUTOMOC
  SOURCES main.cpp smb4k.cpp smb4ksystemtray.cpp
  LINK
    tdecore-shared tdeui-shared tdeio-shared tdeparts-shared smb4kcore-shared smb4kdialogs-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other files

tde_create_translated_desktop(
  SOURCE smb4k.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
  FILES smb4k_shell.rc
  DESTINATION ${DATA_INSTALL_DIR}/smb4k
)
